<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="ssb-stories"></div>
    <script type="text/javascript">
        (({ feature, token, element, options }) => {
            if (!document.getElementById('ssb.pistik.dns-prefetch')) {
                const link = document.createElement('link');
                link.id = 'ssb.pistik.dns-prefetch';
                link.href = 'https://pistik.ssb.ee';
                link.rel = 'dns-prefetch';

                document.head.appendChild(link);
            }

            if (!document.getElementById('ssb.pistik.loader')) {
                const script = document.createElement('script');
                script.id = 'ssb.pistik.loader';
                script.type = 'text/javascript';
                script.src = 'https://pistik.ssb.ee/app/public/js/main.js';

                document.head.appendChild(script);
            }
            
            document.addEventListener('ssb.pistik.loader.ready', (event) => {
                document.dispatchEvent(new CustomEvent('ssb.pistik.loader.load', { 
                    detail: { feature, token, element, options }
                }));
            }, { once: true });

            document.currentScript.remove();
        })({
            feature: 'stories',
            element: document.getElementById('ssb-stories'),
            options: {
                // Add options here as <key: value> pairs
                reg_code: '14166253',
            },
        });
    </script>
</body>
</html>